# $Revision: 1.245 $, $Date: 2010/09/21 11:26:29 $
# TODO
# - restore lirc_parallel driver
# - try to make it use builder_kernel_modules and install_kernel_modules; I couldn't make it
# - build is running kernel arch dependent, try to get rid of this
#
# Conditional build:
%bcond_without	dist_kernel	# without sources of distribution kernel
%bcond_without	kernel		# don't build kernel modules, only library+programs
%bcond_without	userspace	# build only packages with kernel modules
%bcond_without	svga		# without svgalib-based utility
%bcond_without	x		# without X11-based utilitied

%if %{without kernel}
%undefine	with_dist_kernel
%endif

%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		pname	lirc
%define		rel	1

#
# main package
#
# lirc_parallel is not thread safe, so not on this list
# lirc_gpio fails to build under kernel >= 2.6.23
#
%if "%{_kernel_ver}" >= "2.6.23"
%define		drivers		"lirc_atiusb lirc_bt829 lirc_dev lirc_ene0100 lirc_i2c lirc_igorplugusb lirc_imon lirc_it87 lirc_ite8709 lirc_mceusb lirc_sasem lirc_serial lirc_sir lirc_streamzap lirc_ttusbir lirc_wpc8769l"
%else
%define		drivers		"lirc_atiusb lirc_bt829 lirc_dev lirc_ene0100 lirc_gpio lirc_i2c lirc_igorplugusb lirc_imon lirc_it87 lirc_ite8709 lirc_mceusb lirc_sasem lirc_serial lirc_sir lirc_streamzap lirc_ttusbir lirc_wpc8769l"
%endif
Summary:	Linux Infrared Remote Control daemons
Summary(pl.UTF-8):	Serwery do zdalnego sterowania Linuksem za pomocą podczerwieni
Name:		%{pname}%{_alt_kernel}
Version:	0.8.7
Release:	%{rel}
License:	GPL v2+
Group:		Daemons
Source0:	http://dl.sourceforge.net/lirc/%{pname}-%{version}.tar.bz2
# Source0-md5:	fb1dcddbc8ca3d03c7f3a2d40cf28b71
Source1:	http://lirc.sourceforge.net/remotes.tar.bz2
# Source1-md5:	238d1773d3c405acc02813674f5a55f8
Source2:	%{pname}d.sysconfig
Source3:	%{pname}d.init
Source4:	%{pname}md.init
Patch0:		%{pname}-opt.patch
Patch1:		%{pname}-tmp.patch
Patch2:		%{pname}-no-svgalib.patch
Patch3:		%{pname}-alpha.patch
Patch4:		%{pname}-sparc.patch
Patch5:		%{pname}-remotes.patch
Patch6:		%{pname}-kernelcc.patch
URL:		http://www.lirc.org/
#%{?with_x:BuildRequires:	xorg-lib-libX11-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libftdi-devel
BuildRequires:	libtool
%if %{with kernel}
BuildRequires:	kernel%{_alt_kernel}-module-build
BuildRequires:	kernel%{_alt_kernel}-headers
%endif
%{?with_kernel:BuildRequires:	%{kgcc_package}}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.379
%{?with_svga:BuildRequires:	svgalib-devel}
%{?with_x:BuildRequires:	xorg-lib-libX11-devel}
Requires(post,preun):	/sbin/chkconfig
Requires:	%{pname}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LIRC is a package that allows you to decode and send infra-red signals
of many (but not all) commonly used remote controls.

%description -l pl.UTF-8
LIRC to program pozwalający na dekodowanie nadchodzących oraz
wysyłanie sygnałów w podczerwieni za pomocą wielu (ale nie
wszystkich) popularnych urządzeń do zdalnego sterowania.

%package remotes
Summary:	Lirc remotes database
Summary(pl.UTF-8):	Baza pilotów obsługiwanych przez lirc
Group:		Documentation
Requires:	%{pname} = %{version}-%{rel}

%description remotes
This package contains configuration files for many remotes supported
by lirc.

%description remotes -l pl.UTF-8
Ten pakiet zawiera pliki konfiguracyjne dla wielu pilotów
obsługiwanych przez lirc.

%package X11
Summary:	Linux Infrared Remote Control - X11 utilities
Summary(pl.UTF-8):	Zdalne sterowanie Linuksem za pomocą podczerwieni - narzędzia X11
Group:		X11/Applications
Requires:	%{pname}-libs = %{version}-%{release}

%description X11
Linux Infrared Remote Control - X11 utilities.

%description X11 -l pl.UTF-8
Zdalne sterowanie Linuksem za pomocą podczerwieni - narzędzia X11.

%package svga
Summary:	Linux Infrared Remote Control - svgalib utilities
Summary(pl.UTF-8):	Zdalne sterowanie Linuksem za pomocą podczerwieni - narzędzia svgalib
Group:		Applications
Requires:	%{pname}-libs = %{version}-%{release}

%description svga
Linux Infrared Remote Control - svgalib-based utilities.

%description svga -l pl.UTF-8
Zdalne sterowanie Linuksem za pomocą podczerwieni - narzędzia oparte
na svgalibie.

%package libs
Summary:	LIRC libraries
Summary(pl.UTF-8):	Biblioteki LIRC
Group:		Libraries
Conflicts:	lirc < 0.6.3-3
# didn't use /tmp/.lircd

%description libs
This package provides the libraries necessary to run lirc client
programs.

%description libs -l pl.UTF-8
Ten pakiet zawiera biblioteki niezbędne do działania klientów LIRC.

%package devel
Summary:	Header files for LIRC development
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów z obsługą LIRC
Group:		Development/Libraries
Requires:	%{pname}-libs = %{version}-%{release}

%description devel
This package provides the files necessary to develop LIRC-based
programs.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki niezbędne do tworzenia programów opartych
na LIRC.

%package static
Summary:	Static library for LIRC development
Summary(pl.UTF-8):	Biblioteka statyczna LIRC
Group:		Development/Libraries
Requires:	%{pname}-devel = %{version}-%{release}

%description static
The files necessary for development of statically-linked lirc-based
programs.

%description static -l pl.UTF-8
Pliki potrzebne do tworzenia łączonych statycznie programów
opartych na LIRC.

%package -n kernel%{_alt_kernel}-char-lirc-atiusb
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-atiusb
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_atiusb module.

%description -n kernel%{_alt_kernel}-char-lirc-atiusb -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_atiusb.

%package -n kernel%{_alt_kernel}-char-lirc-bt829
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-bt829
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_bt829 module.

%description -n kernel%{_alt_kernel}-char-lirc-bt829 -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_bt829.

%package -n kernel%{_alt_kernel}-char-lirc-dev
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-dev
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-dev
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_dev module.

%description -n kernel%{_alt_kernel}-char-lirc-dev -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_dev.

%package -n kernel%{_alt_kernel}-char-lirc-ene0100
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Obsoletes:	lirc-modules
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-ene0100
This package contains the kernel modules necessary to operate some
infrared remote control ene0100ices (such as the ones bundled with TV
cards).

lirc_ene0100 module.

%description -n kernel%{_alt_kernel}-char-lirc-ene0100 -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_ene0100.

%package -n kernel%{_alt_kernel}-char-lirc-gpio
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-gpio
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-gpio
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_gpio module.

%description -n kernel%{_alt_kernel}-char-lirc-gpio -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_gpio.

%package -n kernel%{_alt_kernel}-char-lirc-i2c
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-i2c
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-i2c
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_i2c module.

%description -n kernel%{_alt_kernel}-char-lirc-i2c -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_i2c.

%package -n kernel%{_alt_kernel}-char-lirc-igorplugusb
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-igorplugusb
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-igorplugusb
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_igorplugusb module.

%description -n kernel%{_alt_kernel}-char-lirc-igorplugusb -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_igorplugusb.

%package -n kernel%{_alt_kernel}-char-lirc-imon
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-imon
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-imon
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_imon module.

%description -n kernel%{_alt_kernel}-char-lirc-imon -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_imon.

%package -n kernel%{_alt_kernel}-char-lirc-it87
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-it87
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_it87 module.

%description -n kernel%{_alt_kernel}-char-lirc-it87 -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_it87.

%package -n kernel%{_alt_kernel}-char-lirc-ite8709
Summary:        Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):      Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:        %{rel}@%{_kernel_ver_str}
Group:          Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):       %releq_kernel
%endif
Requires(post,postun):  /sbin/depmod
Requires:       %{pname} = %{version}-%{rel}
Conflicts:      dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-ite8709
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_ite8709 module.

%description -n kernel%{_alt_kernel}-char-lirc-ite8709 -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_ite8709.

%package -n kernel%{_alt_kernel}-char-lirc-mceusb
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-mceusb
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_mceusb module.

%description -n kernel%{_alt_kernel}-char-lirc-mceusb -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_mceusb.

%package -n kernel%{_alt_kernel}-char-lirc-sasem
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-sasem
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_sasem module.

%description -n kernel%{_alt_kernel}-char-lirc-sasem -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_sasem.

%package -n kernel%{_alt_kernel}-char-lirc-serial
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
%{?with_dist_kernel:Requires:	setserial}
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-serial
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-serial
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_serial module for devices connected to serial port.

%description -n kernel%{_alt_kernel}-char-lirc-serial -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_serial dla urządzeń podłączanych do portu szeregowego.

%package -n kernel%{_alt_kernel}-char-lirc-streamzap
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-streamzap
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-streamzap
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_streamzap module.

%description -n kernel%{_alt_kernel}-char-lirc-streamzap -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_streamzap.

%package -n kernel%{_alt_kernel}-char-lirc-sir
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-sir
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-sir
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc_sir module.

%description -n kernel%{_alt_kernel}-char-lirc-sir -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_sir.

%package -n kernel%{_alt_kernel}-char-lirc-ttusbir
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-ttusbir
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-ttusbir
This package contains the kernel modules necessary to operate
TechnoTrend USB IR Receiver.

lirc_ttusbir module.

%description -n kernel%{_alt_kernel}-char-lirc-ttusbir -l pl.UTF-8
Ten pakiet zawiera moduł kernela niezbędny do obsługi urządzenia
TechnoTrend USB IR Receiver.

Moduł lirc_ttusbir.

%package -n kernel%{_alt_kernel}-char-lirc-wpc87691
Summary:        Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):      Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:        %{rel}@%{_kernel_ver_str}
Group:          Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):       %releq_kernel
%endif
Requires(post,postun):  /sbin/depmod
Requires:       %{pname} = %{version}-%{rel}
Conflicts:      dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-wpc87691
This package contains the kernel modules necessary to operate
TechnoTrend USB IR Receiver.

lirc_wpc87691 module.

%description -n kernel%{_alt_kernel}-char-lirc-wpc87691 -l pl.UTF-8
Ten pakiet zawiera moduł kernela niezbędny do obsługi urządzenia
TechnoTrend USB IR Receiver.

Moduł lirc_wpc87691.

## XXX: Unused now, as all kernels are smp by default
%package -n kernel%{_alt_kernel}-char-lirc-parallel
Summary:	Kernel modules for Linux Infrared Remote Control
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Requires(post,postun):	/sbin/depmod
Requires:	%{pname} = %{version}-%{rel}
Obsoletes:	lirc-modules
Obsoletes:	lirc-modules-parallel
Conflicts:	dev < 2.8.0-3

%description -n kernel%{_alt_kernel}-char-lirc-parallel
This package contains the kernel modules necessary to operate some
infrared remote control devices (such as the ones bundled with TV
cards).

lirc-parallel module for devices connected to parallel port.

%description -n kernel%{_alt_kernel}-char-lirc-parallel -l pl.UTF-8
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).

Moduł lirc_parallel dla urządzeń podłączanych do portu
równoległego.

%prep
%setup -q -n %{pname}-%{version} -a 1
%patch0 -p1
%patch1 -p1
%if !%{with svga}
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
echo '#' > drivers/Makefile.am
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}

%configure \
	ac_cv_header_portaudio_h=no \
%if %{with kernel}
	KERNELCC="%{kgcc}" \
%else
	ac_cv_have_kernel="no_kernel=yes" \
%endif
	--with-kerneldir=%{_kernelsrcdir} \
	%{?with_x:--with-x} \
	--with-port=0x2f8 \
	--with-irq=3 \
	--without-soft-carrier \
	--with-driver=userspace \
	--with-igor

%if %{with userspace}
%{__make} -j1
%endif

%if %{with kernel}
cd drivers

drivers=%{drivers}
rm -rf o
if [ ! -r "%{_kernelsrcdir}/config-dist" ]; then
	exit 1
fi

install -d o/include/{linux,generated,config} o/arch/powerpc/lib
ln -sf %{_kernelsrcdir}/config-dist o/.config
if [ -f %{_kernelsrcdir}/include/generated/autoconf-dist.h ]; then
	ln -sf %{_kernelsrcdir}/include/generated/autoconf-dist.h o/include/generated/autoconf.h
	ln -s ../generated/autoconf.h o/include/linux/autoconf.h
else
	ln -sf %{_kernelsrcdir}/include/linux/autoconf-dist.h o/include/linux/autoconf.h
fi
ln -sf %{_kernelsrcdir}/Module.symvers-dist o/Module.symvers

%if %{without dist_kernel}
	touch o/include/config/MARKER
	ln -sf %{_kernelsrcdir}/scripts o/
%else
	%{__make} -j1 -C %{_kernelsrcdir} O=$PWD/o prepare scripts
%endif

for drv in $drivers; do
	cd $drv
	if [ "$drv" == "lirc_parallel" ] && grep -q ^CONFIG_SMP o/.config ]; then
		echo "lirc_parallel is not smp safe"
	else
		ln -sf ../o
		%{__make} clean \
			RCS_FIND_IGNORE="-name '*.ko' -o" \
			M=$PWD O=$PWD/o \
			%{?with_verbose:V=1}

		%{__make} -j1 \
			M=$PWD O=$PWD/o \
			KBUILD_MODPOST_WARN=1 \
			%{?with_verbose:V=1}
			mv $drv{,-dist}.ko
	fi
	cd ..
done

cd ..

%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_aclocaldir},/dev,/var/{log,run/lirc}} \
	$RPM_BUILD_ROOT/etc/{lirc,rc.d/init.d,sysconfig}

%if %{with kernel}
drivers=%{drivers}
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
for drv in $drivers; do
	install drivers/$drv/$drv-%{?with_dist_kernel:dist}%{!?with_dist_kernel:nondist}.ko \
	$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/$drv.ko
done
%endif

%if %{with userspace}
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}

cat>$RPM_BUILD_ROOT%{_sysconfdir}/lirc/lircd.conf<<END
#
# This is a placeholder for your configuration file.
# See %{_docdir}/%{pname}-%{version}/remotes for some examples.
#
END
cp -f $RPM_BUILD_ROOT%{_sysconfdir}/lirc/lirc{,m}d.conf
install contrib/*.m4 $RPM_BUILD_ROOT%{_aclocaldir}
:> $RPM_BUILD_ROOT/var/log/lircd

install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/lircd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/lircd
install %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/lircmd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post
/sbin/chkconfig --add lircd
if [ -f /var/lock/subsys/lircd ]; then
	/etc/rc.d/init.d/lircd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/lircd start\" to start lircd." >&2
fi
/sbin/chkconfig --add lircmd
if [ -f /var/lock/subsys/lircmd ]; then
	/etc/rc.d/init.d/lircmd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/lircmd start\" to start lircmd." >&2
fi
echo "If you are using a kernel-module-based driver, don't forget to"
echo "install the kernel%{_alt_kernel}-char-lirc-<your_driver> or"
echo "kernel%{_alt_kernel}-smp-char-lirc-<your_driver> package."

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/lircd ]; then
		/etc/rc.d/init.d/lircd stop >&2
	fi
	/sbin/chkconfig --del lircd
fi
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/lircmd ]; then
		/etc/rc.d/init.d/lircmd stop >&2
	fi
	/sbin/chkconfig --del lircmd
fi

%triggerpostun -- %{name} < 0.8.6-8
if [ -f %{_sysconfdir}/lircd.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/lircd.conf.rpmsave %{_sysconfdir}/lirc/lircd.conf
fi
if [ -f %{_sysconfdir}/lircmd.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/lircmd.conf.rpmsave %{_sysconfdir}/lirc/lircmd.conf
fi

%post	-n kernel%{_alt_kernel}-char-lirc-atiusb
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_atiusb' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-atiusb
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-bt829
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_bt829' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-bt829
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-dev
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-char-lirc-dev
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-ene0100
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-char-lirc-ene0100
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-gpio
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_gpio' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-gpio
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-i2c
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_i2c' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-i2c
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-igorplugusb
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_igorplugusb' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-igorplugusb
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-imon
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_imon' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-imon
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-it87
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_it87' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-it87
%depmod %{_kernel_ver}

%post   -n kernel%{_alt_kernel}-char-lirc-ite8709
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_ite8709' line"
	echo "to your /etc/modules.conf."
fi

%postun -n kernel%{_alt_kernel}-char-lirc-ite8709
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-mceusb
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_mceusb' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-mceusb
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-sasem
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_sasem' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-sasem
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-serial
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_serial' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-serial
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-streamzap
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_streamzap' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-streamzap
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-parallel
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_parallel' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-parallel
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-sir
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_sir' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-sir
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-char-lirc-ttusbir
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_ttusbir' line"
	echo "to your /etc/modules.conf."
fi

%postun	-n kernel%{_alt_kernel}-char-lirc-ttusbir
%depmod %{_kernel_ver}

%post   -n kernel%{_alt_kernel}-char-lirc-wpc87691
%depmod %{_kernel_ver}
if [ "$1" = "1" ]; then
	echo "Don't forget to add an 'alias lirc lirc_wpc87691' line"
	echo "to your /etc/modules.conf."
fi

%postun -n kernel%{_alt_kernel}-char-lirc-wpc87691
%depmod %{_kernel_ver}

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc ANNOUNCE AUTHORS NEWS README TODO ChangeLog
%doc contrib/lircrc doc/{html,images,lirc.css}
%attr(755,root,root) %{_bindir}/ircat
%attr(755,root,root) %{_bindir}/irexec
%attr(755,root,root) %{_bindir}/irpty
%attr(755,root,root) %{_bindir}/irrecord
%attr(755,root,root) %{_bindir}/irsend
%attr(755,root,root) %{_bindir}/irw
%attr(755,root,root) %{_bindir}/mode2
%attr(755,root,root) %{_bindir}/lircrcd
%attr(755,root,root) %{_bindir}/pronto2lirc
%attr(755,root,root) %{_sbindir}/lircd
%attr(755,root,root) %{_sbindir}/lircmd
%attr(754,root,root) /etc/rc.d/init.d/lircd
%attr(754,root,root) /etc/rc.d/init.d/lircmd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/lircd
%dir %{_sysconfdir}/lirc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lirc/lircd.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lirc/lircmd.conf
%{_mandir}/man1/ircat.1*
%{_mandir}/man1/irexec.1*
%{_mandir}/man1/irpty.1*
%{_mandir}/man1/irrecord.1*
%{_mandir}/man1/irsend.1*
%{_mandir}/man1/irw.1*
%{_mandir}/man1/lircrcd.1*
%{_mandir}/man1/mode2.1*
%{_mandir}/man8/lircd.8*
%{_mandir}/man8/lircmd.8*
%attr(600,root,root) %ghost /var/log/lircd
%dir /var/run/lirc

%files remotes
%defattr(644,root,root,755)
# XXX: are jpegs in docs (remotes) a good idea?
%doc remotes

%if %{with x}
%files X11
%defattr(644,root,root,755)
%doc doc/irxevent.keys
%attr(755,root,root) %{_bindir}/irxevent
%attr(755,root,root) %{_bindir}/xmode2
%{_mandir}/man1/irxevent.1*
%{_mandir}/man1/xmode2.1*
%endif

%if %{with svga}
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/smode2
%{_mandir}/man1/smode2.1*
%endif

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblirc_client.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblirc_client.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblirc_client.so
%{_libdir}/liblirc_client.la
%{_includedir}/lirc
%{_aclocaldir}/lirc.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/liblirc_client.a
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-char-lirc-atiusb
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_atiusb*

%files -n kernel%{_alt_kernel}-char-lirc-bt829
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_bt829*

%files -n kernel%{_alt_kernel}-char-lirc-dev
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_dev*

%files -n kernel%{_alt_kernel}-char-lirc-ene0100
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_ene0100*

%if "%{_kernel_ver}" < "2.6.23"
%files -n kernel%{_alt_kernel}-char-lirc-gpio
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_gpio*
%endif

%files -n kernel%{_alt_kernel}-char-lirc-i2c
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_i2c*

%files -n kernel%{_alt_kernel}-char-lirc-igorplugusb
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_igorplugusb*

%files -n kernel%{_alt_kernel}-char-lirc-imon
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_imon*

%files -n kernel%{_alt_kernel}-char-lirc-it87
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_it87*

%files -n kernel%{_alt_kernel}-char-lirc-ite8709
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_ite8709*

%files -n kernel%{_alt_kernel}-char-lirc-mceusb
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_mceusb*

%files -n kernel%{_alt_kernel}-char-lirc-sasem
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_sasem*

%files -n kernel%{_alt_kernel}-char-lirc-serial
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_serial*

%files -n kernel%{_alt_kernel}-char-lirc-streamzap
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_streamzap*

%files -n kernel%{_alt_kernel}-char-lirc-sir
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_sir*

%files -n kernel%{_alt_kernel}-char-lirc-ttusbir
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_ttusbir*

%files -n kernel%{_alt_kernel}-char-lirc-wpc87691
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_wpc8769l*

# XXX currently not SMP-safe
%if 0
%files -n kernel%{_alt_kernel}-char-lirc-parallel
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/*/lirc_parallel*
%endif
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lirc.spec,v $
Revision 1.245  2010/09/21 11:26:29  pawelz
- up to 0.8.7
- dropped lirc-kernel.patch (applied upstream)

Revision 1.244  2010/09/21 07:58:11  arekm
- release 28

Revision 1.243  2010/09/16 06:48:16  arekm
- release 27

Revision 1.242  2010/09/05 04:56:13  qboosh
- more verbose files

Revision 1.241  2010/08/27 08:35:29  arekm
- release 26

Revision 1.240  2010/08/22 05:47:04  arekm
- release 25

Revision 1.239  2010/08/15 16:42:18  arekm
- release 24

Revision 1.238  2010/08/11 09:27:56  arekm
- release 23

Revision 1.237  2010/08/09 07:57:13  arekm
- release 22

Revision 1.236  2010/07/06 16:11:56  arekm
- release 21

Revision 1.235  2010/07/06 12:32:17  shadzik
- rel up

Revision 1.234  2010/07/05 20:23:29  shadzik
- rel up

Revision 1.233  2010/07/01 23:06:21  shadzik
- rel 18

Revision 1.232  2010/05/28 17:57:21  arekm
- release 17

Revision 1.231  2010/05/18 17:38:39  arekm
- release 16

Revision 1.230  2010/04/28 13:58:20  arekm
- parallel build broken

Revision 1.229  2010/04/28 13:29:38  arekm
- release 15

Revision 1.228  2010/03/17 07:28:35  arekm
- release 14

Revision 1.227  2010/03/16 06:14:07  arekm
- release 13

Revision 1.226  2010/03/07 18:08:06  arekm
- partial 2.6.33 fixes

Revision 1.225  2010/02/27 21:11:19  sparky
- unify %attr() %ghost order

Revision 1.224  2010/02/15 09:40:37  arekm
- release 12

Revision 1.223  2010/01/08 19:49:50  arekm
- rel 11; fix build for 2.6.32 kernel

Revision 1.222  2009/12/16 18:00:13  arekm
- release 10

Revision 1.221  2009/12/12 20:02:54  arekm
- release 9

Revision 1.220  2009/12/05 15:29:53  charles
- realy update to 0.8.6 (see NEWS)
- rel. 8 (for triggerpostun)

Revision 1.219  2009/11/22 20:58:07  arekm
- release 7

Revision 1.218  2009/11/12 09:37:53  arekm
- release 6

Revision 1.217  2009/11/01 16:38:58  arekm
- release 5

Revision 1.216  2009/10/21 19:05:56  arekm
- release 4

Revision 1.215  2009/10/16 21:25:34  hawk
- release 3

Revision 1.214  2009/09/24 22:48:09  hawk
- release 2

Revision 1.213  2009/09/17 20:20:13  hawk
- updated to 0.8.6

Revision 1.212  2009/08/18 12:22:19  hawk
- release 4

Revision 1.211  2009/08/02 11:20:19  hawk
- release 3

Revision 1.210  2009/07/12 19:18:28  hawk
- release 2

Revision 1.209  2009/06/20 18:22:29  hawk
- sorted driver list

Revision 1.208  2009/05/27 13:52:34  amateja
- updated to 0.8.5
- removed cmdir driver
- added ite8709 and wpc87691 drivers

Revision 1.207  2009/04/21 20:02:02  arekm
- release 11

Revision 1.206  2009/03/25 19:40:23  arekm
- release 10

Revision 1.205  2009/03/18 08:40:48  arekm
- release 9

Revision 1.204  2009/03/15 16:47:56  arekm
- build kernel modules with -j1

Revision 1.203  2009/03/13 19:58:22  arekm
- release 7

Revision 1.202  2009/02/26 21:46:40  arekm
- release 6

Revision 1.201  2009/02/24 23:31:34  hawk
- release 5

Revision 1.200  2009/02/17 23:04:05  arekm
- release 4

Revision 1.199  2009/02/10 07:27:30  arekm
- release 3

Revision 1.198  2009/02/07 16:56:50  arekm
- release 2

Revision 1.197  2009/02/04 23:36:43  hawk
- updated to 0.8.4a

Revision 1.196  2009/01/25 12:55:34  arekm
- release 13

Revision 1.195  2009/01/19 12:30:12  arekm
- release 12

Revision 1.194  2009/01/15 12:54:01  arekm
- release 11

Revision 1.193  2009/01/10 22:37:24  arekm
- release 10

Revision 1.192  2008/12/19 06:30:52  arekm
- release 9

Revision 1.191  2008/12/14 11:42:46  arekm
- release 8

Revision 1.190  2008/12/06 08:59:59  arekm
- release 7

Revision 1.189  2008/11/21 16:15:29  arekm
- release 6

Revision 1.188  2008/11/20 01:13:08  sls
- BR: rpm-pythonprov for pronto2lirc script

Revision 1.187  2008/11/15 11:29:40  hawk
- release 5

Revision 1.186  2008/11/08 09:26:55  arekm
- release 4

Revision 1.185  2008/11/04 13:06:41  arekm
- rel 3; ppc fix

Revision 1.184  2008/11/04 07:41:43  arekm
- release 2

Revision 1.183  2008/10/28 17:49:50  qboosh
- package pronto2lirc script
- more verbose files
- GPL version

Revision 1.182  2008/10/25 14:12:57  hawk
- updated to 0.8.4

Revision 1.181  2008/10/13 20:47:42  arekm
- release 19

Revision 1.180  2008/10/09 13:24:51  hawk
- release 18

Revision 1.179  2008/09/09 09:00:01  hawk
- release 17

Revision 1.178  2008/09/02 06:41:47  arekm
- release 16

Revision 1.177  2008/08/06 20:20:16  hawk
- release 15

Revision 1.176  2008/08/03 10:19:55  arekm
- release 14

Revision 1.175  2008/07/29 07:13:37  hawk
- fix building with kernel 2.6.26, release 13

Revision 1.174  2008/07/25 07:10:09  arekm
- release 12

Revision 1.173  2008/07/19 08:00:59  arekm
- release 11

Revision 1.172  2008/07/15 09:15:45  arekm
- release 10

Revision 1.171  2008/07/02 20:43:36  arekm
- release 9

Revision 1.170  2008/06/26 06:46:12  arekm
- release 8

Revision 1.169  2008/06/24 11:26:47  arekm
- release 7

Revision 1.168  2008/06/23 19:23:47  hawk
- release 6

Revision 1.167  2008/06/11 15:49:19  hawk
- release 5

Revision 1.166  2008-06-09 19:37:44  hawk
- kernel-headers are enough, source is not needed
- release 4

Revision 1.165  2008-06-08 16:52:45  hawk
- release 3

Revision 1.164  2008-06-04 17:14:18  qboosh
- more verbose lib files, ghost soname symlink

Revision 1.163  2008-05-24 10:07:38  hawk
- release 2

Revision 1.162  2008-05-05 17:41:57  hawk
- added lirc_ttusbir module
- adapterized, release 1

Revision 1.161  2008-05-05 17:21:44  hawk
- killed vserver patch, lirc builds ok wih both vserver and non-vserver kernel
- updated sparc patch, killed lirc-i2c-2.8.x.patch (both Th and Titanium have
  newer i2c and Ac uses outdated lirc)
- renumbered patches

Revision 1.160  2008-05-05 16:46:15  hawk
- started update to 0.8.3, killed long time unused bttv-headers.patch,
  killed unecessary 2.6.23 and 2.6.24 patches, commented out sparc and
  vserver patches (probably outdated), NFY

Revision 1.159  2008-03-28 08:18:37  hawk
- release 9

Revision 1.158  2008-02-29 09:09:31  hawk
- release 8

Revision 1.157  2008-02-12 09:41:17  hawk
- release 7

Revision 1.156  2008-02-08 08:51:58  hawk
- release 6

Revision 1.155  2008-02-03 07:39:56  hawk
- release 5

Revision 1.154  2008-02-02 08:57:18  hawk
- dropped some unecessary %if statements

Revision 1.153  2008-01-30 17:56:38  hawk
- added 2.6.24 fixes, release 4

Revision 1.152  2008-01-24 22:27:29  glen
- drop no_install_post_strip (not reasoned)

Revision 1.151  2008-01-24 21:23:08  hawk
- lirc_gpio module fails to build on kernel >= 2.6.23, added ugly hack
  to disable it on 2.6.23.x series, seems to work ok
- release 3

Revision 1.150  2008-01-24 18:14:27  hawk
- make modpost errors non-fatal
- added vserver bcond, allows to build modules for non-vserver kernels
- release 2

Revision 1.149  2008-01-23 17:56:32  hawk
- suffix src package with alt kernel name (if present)
- disable userspace for alt_kernels
- _rel -> rel

Revision 1.148  2007-11-05 18:41:49  qboosh
- dropped obsolete todo

Revision 1.147  2007/10/04 08:47:57  tommat
- todo updated

Revision 1.146  2007/10/04 08:42:11  tommat
- fixed my mistake

Revision 1.145  2007/08/31 16:03:44  tommat
- BR xorg-lib-libX11-devel

Revision 1.144  2007/08/31 14:46:26  tommat
- do not build userspace with without userspace bcond

Revision 1.143  2007/08/25 22:40:20  qboosh
- updated kernelcc patch, fixed build without kernel

Revision 1.142  2007/08/25 21:46:00  qboosh
- updated todo
- some cleanups/unifications

Revision 1.141  2007/08/22 09:20:49  czarny
- up to 0.8.2
- rel 1
- kernelcc patch
- kernelcc via kernel Makefile magic with autoconf.h
- todo with vserver.patch

Revision 1.140  2007/06/16 10:03:12  czarny
- rel 2 for rebuild

Revision 1.139  2007/06/16 10:02:35  czarny
- jpegs in docs are a good idea; one picture is worth a thousand words
- other TODO added
- some part of new kernel module build methodology
- lirc_parallel commented out everywhere, as all PLD kernels are smp
- removed the echos that printed macros
- adapted the old build script for new metthodology; couldn't make it work with the new build_kernel_modules

Revision 1.138  2007/06/11 11:52:27  luzik
- new way of kernel modules build applied
- it builds
- untested

Revision 1.137  2007/03/14 00:22:09  glen
- up bcond

Revision 1.136  2007/02/23 06:49:28  sls
- added kernel-2.6.20.patch

Revision 1.135  2007/02/23 05:59:22  sls
- source1 md5 update
- rel. 1

Revision 1.134  2007/02/23 05:32:03  sls
- ver. 0.8.1
- removed obsolete patches: kernel-2.6.1{6,7}

Revision 1.133  2007/02/23 05:14:52  sls
- fixed req in kernel-smp-char-lirc-dev

Revision 1.132  2007/02/23 05:08:51  sls
- typo

Revision 1.131  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.130  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.129  2006/11/13 15:00:11  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.128  2006/10/12 22:40:25  czarny
- %{_alt_kernel} support

Revision 1.127  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.126  2006/06/03 09:41:24  teodor
- added patch9 which fix error with compilation on 2.6.16 kernel
- patch10: fixing problem with using lirc on kernel-vserver

Revision 1.125  2006/04/20 07:07:29  teodor
- patch for spec and lirc-remotes.patch made by
  Tomasz Narloch <eyev(at)poczta dot fm>
- enabled support for Igor Cesko receiver

Revision 1.124  2006/02/13 09:54:26  pluto
- xorg modular deps.

Revision 1.123  2006/02/05 22:03:22  luzik
 - updated to 0.8.0

Revision 1.122  2006/01/24 12:50:10  qboosh
- desc cosmetics, pl fixes

Revision 1.121  2006/01/18 15:57:25  kolodko
- Rel is pre (please don't break Relase)

Revision 1.120  2006/01/04 07:37:54  luzik
- rel 1 - STBR for testing

Revision 1.119  2006/01/03 08:52:39  luzik
- fixed with-smp %files
- removed 2.4. modutiles req
- rel 0.9 (working fine for me)

Revision 1.118  2006/01/02 14:21:11  luzik
- added kernel-source BR (some bttv .h files???)

Revision 1.117  2006/01/02 14:10:46  luzik
- fixed md5

Revision 1.116  2006/01/02 13:59:04  luzik
- removed outdated patch7

Revision 1.115  2006/01/02 13:44:55  luzik
- updated to 0.8pre3
- no more kernel-2.4.x support
- not tested

Revision 1.114  2005/12/29 14:52:05  pluto
- updated to 0.7.2 (kernel 2.4 modules not tested).

Revision 1.113  2005/12/13 11:54:17  glen
- adalterized (sorted %verify flags)

Revision 1.112  2005/04/23 13:09:04  qboosh
- disable portaudio support (not BRed, expects some obsolete version)

Revision 1.111  2005/04/21 17:25:28  qboosh
- puzzle.dl is not browsable

Revision 1.110  2005/04/21 14:42:49  kolodko
- md5 remotes

Revision 1.109  2005/04/21 14:33:13  kolodko
- up to 0.7.1
- rel 0.1

Revision 1.108  2005/04/17 23:57:25  ankry
- cosmetic

Revision 1.107  2005/02/03 17:33:57  qboosh
- use kernel24-i2c-devel dep
- TODO: check i2c patch with i2c 2.9.0 (to be removed?)

Revision 1.106  2005/02/03 17:09:40  kolodko
- rel 1
- drop devfs.patch

Revision 1.105  2005/01/25 18:45:48  kolodko
- s/kernel/kernel24/
- R: kernel24-char-lirc-dev for serial driver

Revision 1.104  2005/01/25 15:10:16  kolodko
- typo

Revision 1.103  2005/01/25 11:44:52  kolodko
- up source1 md5

Revision 1.102  2004/12/06 09:35:22  qboosh
- formatting (tw=70)

Revision 1.101  2004/12/06 07:43:37  ankry
- spaces -> tabs, pl

Revision 1.100  2004/12/05 18:44:51  kolodko
- moved remotes to subpackage

Revision 1.99  2004/11/21 00:15:20  qboosh
- added bttv-headers patch, kernel-source no longer needed
- dropped kernel 2.2 compat

Revision 1.98  2004/11/10 02:04:38  ankry
- more spaces -> tabs

Revision 1.97  2004/11/10 01:47:03  kolodko
- s/spaces/tabs/
- fixed my typo

Revision 1.96  2004/11/10 00:37:19  kolodko
- and one more clean

Revision 1.95  2004/11/10 00:28:15  kolodko
- clean
- i don't now what about devfs.patch

Revision 1.94  2004/11/09 21:47:01  kolodko
- added modules: atiusb, bt829, it87, mceusb, sasem

Revision 1.93  2004/11/09 00:16:18  kolodko
- just up md5 for 0.7.0

Revision 1.92  2004/11/07 16:12:42  kolodko
- up to pre8
- needs work (some new drivers)
- NFY, not tested, but build on ix86 (needs update patches)

Revision 1.91  2004/11/07 13:37:59  kolodko
- s/kernel/kernel24/

Revision 1.90  2004/10/30 11:08:05  qboosh
- remote control -> zdalne sterowanie

Revision 1.89  2004/10/15 21:13:50  qboosh
- more release fixes

Revision 1.88  2004/09/27 21:47:14  marcus
- updated to 0.7.0pre7
- nfy (ac/am need fixing but I don't know how do it)

Revision 1.87  2004/09/18 01:24:00  kolodko
- if with_dist_kernel then R setserial

Revision 1.86  2004/08/22 21:41:29  kolodko
- up remotes
- rel 8

Revision 1.85  2004/06/27 17:12:16  qboosh
- now we have svgalib on all supported archs

Revision 1.84  2004/03/02 02:10:40  ankry
- rel. 7 (6 is for ra)

Revision 1.83  2004/02/20 02:37:11  ankry
- rel. 5; 4 is for ra

Revision 1.82  2004/01/19 20:38:10  qboosh
- updated i2c BR for kernel modules

Revision 1.81  2003/12/30 03:52:18  qboosh
- added am18 patch, release 3

Revision 1.80  2003/11/16 17:43:26  krzak
- fixed _kernel24 definition

Revision 1.79  2003/11/10 16:57:19  qboosh
- added sparc patch, run autoheader

Revision 1.78  2003/11/10 15:49:17  qboosh
- new-style bconds; s/without_modules/without_kernel/; added without_userspace
- build smode2 utility (x86 and alpha only, with bcond)
- some cleanups, moved manuals to proper packages, don't include junk in docs
- for i2c patch detect i2c version instead of using dist_kernel bcond
- rel 2

Revision 1.77  2003/10/18 22:19:02  saq
- a fix to build under I2C 2.8.0
- STBR for Ac

Revision 1.76  2003/08/18 08:08:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.75  2003/07/10 13:47:19  trojan
- added using depmod macro

Revision 1.74  2003/07/02 12:45:33  cieciwa
- typo

Revision 1.73  2003/07/02 12:03:11  cieciwa
- added --without x bcond

Revision 1.72  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.71  2003/05/25 05:50:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.70  2003/05/16 09:49:41  qboosh
- killed x11bindir

Revision 1.69  2003/05/16 09:28:06  qboosh
- added _without_modules bcond

Revision 1.68  2003/05/16 08:53:05  trojan
- fixed depmod in %post and %postun when build with _without_dist_kernel

Revision 1.67  2003/05/14 14:42:44  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.66  2003/03/24 07:29:49  kloczek
- release 1.

Revision 1.65  2003/03/02 18:35:28  pawel
- updated to 0.6.6
- added makpc patch
- added udp patch

Revision 1.64  2003/02/16 15:41:26  blues
- release 15 - updated remotes URL, rebuild with "little" extended new
  version of them...

Revision 1.63  2003/02/16 15:36:23  blues
- remotes definitions are back... no need to compress them manually

Revision 1.62  2003/02/01 21:32:12  radek
- updated Source0 URL

Revision 1.61  2002/12/07 14:33:21  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.60  2002/11/25 14:17:12  ankry
- massive attack: no need for 755 for *.la

Revision 1.59  2002/11/17 19:43:25  kloczek
- release 14: rebuild against kernel 2.2.22-6.

Revision 1.58  2002/11/02 11:33:10  ankry
- rel. 13 (rebuild against kernel 2.2.22-4)

Revision 1.57  2002/10/12 12:58:05  marcus
- rel.12 (for kernel 2.2.22-3)

Revision 1.56  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.55  2002/10/01 15:38:07  kloczek
- release 11: rebuild against kernel 2.2.22.

Revision 1.54  2002/09/13 20:28:57  ggodlewski
- release 10 - fix for mknod in rc script

Revision 1.53  2002/08/29 15:13:14  qboosh
- fixed build on alpha, fixed doc, added missing manuals, release 9

Revision 1.52  2002/08/18 17:37:10  kloczek
- release 8: rebuild against kernel 2.2.21.

Revision 1.51  2002/08/01 09:46:51  marcus
- fixed %doc

Revision 1.50  2002/08/01 01:16:00  undefine
- Requires: dev >= 2.8.0-3 change to Conflicts: dev < 2.8.0-3 to allow use
  on devfs
- release 8

Revision 1.49  2002/07/31 08:04:11  kloczek
- release 7.

Revision 1.48  2002/07/03 09:24:05  wolf
- spelling

Revision 1.47  2002/06/29 14:19:51  kloczek
- release 6: use new %doc.

Revision 1.46  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.45  2002/05/29 22:08:27  misiek
- requires->conflicts

Revision 1.44  2002/05/21 23:14:04  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.43  2002/04/12 13:14:14  qboosh
- release 5: rebuild without *.la in -static

Revision 1.42  2002/03/25 09:19:26  mis
- removed *.la from static subpkg

Revision 1.41  2002/03/24 23:28:21  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.40  2002/03/23 06:12:23  kloczek
- release 4: rebuild.

Revision 1.39  2002/03/15 08:46:14  misiek
- don't even try to find svgalib; release 3

Revision 1.38  2002/03/13 13:37:12  mis
- kernel-smp-char-lirc-sir: /sbindepmod -> /sbin/depmod; rel 2

Revision 1.37  2002/03/07 07:47:26  marcus
- rel.1.

Revision 1.36  2002/03/05 12:09:16  marcus
- typo

Revision 1.35  2002/03/05 10:28:30  marcus
- use new macros
- rel.0.11

Revision 1.34  2002/02/26 18:57:37  qboosh
- use requires_releq_kernel_{up,smp}, kgcc{,_package} macros
- autodetect kernel 2.4 headers
- release 0.10

Revision 1.33  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/02/17 03:57:52  kloczek
- adapterized.

Revision 1.31  2002/02/16 13:11:18  aflinta
- release 0.9, spinlock.patch seems to be obsolete, but needs testing

Revision 1.30  2002/02/15 21:17:43  aflinta
- updated to version 0.6.5, but spinlock.patch is not ready yet

Revision 1.29  2002/02/03 20:54:32  ankry
- adding es/pt/pt_BR Group translations

Revision 1.28  2002/01/27 20:36:50  saq
- build SMP and UP version in one pass
- when using a dist kernel, require the proper version
- back to kgcc, that's what we build kernel with

Revision 1.27  2002/01/27 18:15:06  filon
- s/kgcc/%{__cc}/ (kgcc doesn't support all archs supprted by gcc3)
- release 3

Revision 1.26  2002/01/18 02:13:44  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/11/20 14:48:31  saq
- reversed the --with kernel_2_2 condition and renamed to --with kernel_2_4

Revision 1.24  2001/11/14 08:37:33  filon
- changed option no_dist_kernel to _without_dist_kernel
- make conflicat for version of kernel not equal to compilation-time
  disabled by _without_dist_kernel (the same in other specs)
  (it is not needed if I have only non-dist kernel, but it is not
  rare situation to have many kernels, incuding one from distro)

Revision 1.23  2001/11/11 00:55:19  misiek
- support for PixelView BT878P FM(NICAM) in gpio driver

Revision 1.22  2001/10/24 21:06:33  misiek
- another method for choosing drivers for 2.2 or 2.4

Revision 1.21  2001/10/24 20:41:45  misiek
- fixes for conditional build

Revision 1.20  2001/10/24 20:30:17  misiek
- added bcond for 2.2 kernel

Revision 1.19  2001/10/19 23:29:00  aflinta
- modified bcond for building without distribution kernel

Revision 1.18  2001/09/19 21:45:51  saq
- removed %{_smpstr} from @... suffix
- s/-/_/g in @... suffix

Revision 1.17  2001/09/19 17:08:34  saq
- new kernel module naming scheme (kernel{,-smp}-*)
- UP and SMP versions still not built from one rpm -bb -- filename
  conflict
- use lircd.sysconfig instead of lirc.sysconfig
- no more weird config file handling, make the user configure it themself
  (examples in %{_docdir}/%{name}-%{version})
- simplified example gzipping rule
- lirc_gpio and lirc_i2c depend on lirc_dev
- no module aliasing at lirc_dev (it's not used directly)
- s/char-major-61/lirc/

Revision 1.16  2001/09/19 11:38:32  aflinta
- added %{!?no_dist_kernel: condition to buildrequires

Revision 1.15  2001/09/09 13:20:11  saq
- don't allow modules to fail building
- adapterized

Revision 1.14  2001/09/07 02:27:06  blues
- 0.6.4
- removed outdated patches
- modules separated into own packages - now you can have self-made kernels
  without i.e. i2c and none unresolved_symbol
- release moved to define - needed because of awfull release expansion
  (many times kernel vesion repeated)
- lirc-modules added to obsoletes
- modified post
- one doc added and one removed

Revision 1.13  2001/08/24 22:40:45  saq
- s/install -m644/cp/
- adapterized

Revision 1.12  2001/08/23 16:50:03  filon
- added remotes.tar.gz - configurations of about 400 remotes
- created package lirc-remotes
- cosmetics

Revision 1.11  2001/08/15 20:25:43  saq
- using %_kernelsrcdir
- use devfs.patch
- modules-{smp,up} subpackage renamed to modules
- cleanups in rpm scripts
- release 3
- STB

Revision 1.10  2001/08/09 20:27:46  saq
- changes in the build process: conditional SMP build, don't use kernel's
  Makefiles
- modules go to a subpackage (lirc-modules-%smpstr)

Revision 1.9  2001/08/07 16:24:17  saq
- subpackages don't get @... in release
- use /tmp/.lircd instead of /dev/lircd
- minor fixes in the build process
- NFY

Revision 1.8  2001/07/31 07:02:53  saq
- removed /dev/lircm (/dev/lircd to go)

Revision 1.7  2001/07/26 16:50:25  saq
- don't use macros not available in standard rpm. Define them in the spec.
  (_kernel_ver, _kernel24)

Revision 1.6  2001/07/26 05:42:10  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.4  2001/07/24 13:54:12  saq
- always apply spinlock.patch
- release 2

Revision 1.3  2001/07/23 22:22:52  saq
A group commit:
- %define _kernel_ver and _kernel24 removed (already in rpm.macros)
- kernel modules get a @%{_kernel_ver} release suffix and conflict wrong
  kernel version
- other packages get a @%{_kernel_series} release suffix and conflict
  wrong kernel series
- need a rebuilt RPM to build these

Revision 1.2  2001/07/21 16:34:18  saq
- rewritten from scratch, now supports various drivers
- STB
